
Redmine - Defect #8190

login failed with blank page

2011-04-19 14:05 - Georg Leciejewski

Status: Closed Start date: 2011-04-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Processing AccountController#login (for 87.79.159.115 at 2011-04-19 13:43:53) [POST]

Parameters: {"back_url"=>"http%3A%2F%2Fpm.salesking.eu%2F", "action"=>"login", "authenticity_token"=>"sometoken",

"username"=>"someName", "controller"=>"account", "password"=>"[FILTERED]", "login"=>"Anmelden »"}

NoMethodError (undefined method `destroy' for {}:Hash):

app/controllers/application_controller.rb:89:in `logged_user='

app/controllers/account_controller.rb:203:in `successful_authentication'

app/controllers/account_controller.rb:155:in `password_authentication'

app/controllers/account_controller.rb:142:in `authenticate_user'

app/controllers/account_controller.rb:30:in `login'

this does not apply to all users

Related issues:

Is duplicate of Redmine - Defect #7857: A NoMethodError occurred in account#l... Closed 2011-03-14

History

#1 - 2011-04-19 14:07 - Georg Leciejewski

r5505

after logging out with the other user he can also not login anymore

#2 - 2011-04-19 14:08 - Etienne Massip

Could you please give more details (see SubmittingBugs) ?

And have a look at #7857 and Can't login.

#3 - 2011-04-20 11:25 - Georg Leciejewski

Sorry .. here are my infos:

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.7.2

Rack version              1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /u/apps/redmine/releases/20110419112527

Environment               production

Database adapter          mysql

Database schema version   20110412065600

About your Redmine plugins

Simple CI             1.0

Redmine Vote plugin   0.0.2

Ticket Mails          0.0.1

 Yes, seems to be related to #7857
https://www.redmine.org/projects/redmine/repository/svn/revisions/5505
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://www.redmine.org/issues/7857
https://www.redmine.org/boards/2/topics/23419
https://www.redmine.org/issues/7857


#4 - 2011-04-20 11:43 - Etienne Massip

You could try to generate a new session store secret with rake generate_session_store to mark every remaining sessions as invalid.

#5 - 2011-04-20 14:39 - Georg Leciejewski

no success with just resetting the session key but applied this monkey-patch, at the end by Rob, in init and now it works:

https://rails.lighthouseapp.com/projects/8994/tickets/6440-session-reset-undefined-method-destroy-for-hash

#6 - 2011-04-20 17:01 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #7857.

#7 - 2011-04-21 11:02 - Georg Leciejewski

i was probably too fast, this fix does not solve the problem.
